メインコンテンツへスキップ
GET
/
datasets
/
{dataset_id}
/
pipeline
/
datasource-plugins
Error
A valid request URL is required to generate request examples
[
  {
    "node_id": "1719288585006",
    "plugin_id": "langgenius/notion_datasource",
    "provider_name": "notion",
    "datasource_type": "online_document",
    "title": "Notion Documents",
    "user_input_variables": [],
    "credentials": [
      {
        "id": "c1d2e3f4-a5b6-7890-abcd-ef1234567890",
        "name": "Production Notion",
        "type": "api-key",
        "is_default": true
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。

パスパラメータ

dataset_id
string<uuid>
必須

ナレッジベース ID です。

クエリパラメータ

is_published
boolean
デフォルト:true

公開済みまたはドラフトのパイプラインのノードを取得するかを指定します。true は公開済みバージョンのノード、false はドラフトバージョンのノードを返します。

レスポンス

パイプラインに設定されているデータソースノードのリストです。

node_id
string

パイプラインワークフロー内のデータソースノードの ID です。 データソースノードを実行 では node_id として、 パイプラインを実行 では start_node_id として渡します。

plugin_id
string

このノードを提供するデータソースプラグインの ID です。

provider_name
string

データソースプラグインが登録するプロバイダー名です。

datasource_type
string

データソースのタイプです。local_fileonline_documentonline_drivewebsite_crawl のいずれかです。

title
string

ノードに設定されている表示タイトルです。

user_input_variables
object[]

このデータソースに対して呼び出し元が指定するパイプライン入力変数です。ノードのデータソースパラメータ内の {{#...#}} 参照から導出されます。各要素はワークフローが使用するパイプライン変数のスキーマに従います。

credentials
object[]

このデータソースの認証に利用できる資格情報のリストです。